GNU bug report logs -
#76799
[PATCH] gnu: emacs-inf-ruby: Update to 2.9.0.
Previous Next
To reply to this bug, email your comments to 76799 AT debbugs.gnu.org.
There is no need to reopen the bug first.
Toggle the display of automated, internal messages from the tracker.
Report forwarded
to
andrew <at> trop.in, csantosb <at> inventati.org, divya <at> subvertising.org, ian <at> retrospec.tv, cox.katherine.e+guix <at> gmail.com, liliana.prikler <at> gmail.com, guix-patches <at> gnu.org
:
bug#76799
; Package
guix-patches
.
(Fri, 07 Mar 2025 05:47:02 GMT)
Full text and
rfc822 format available.
Acknowledgement sent
to
gemmaro <gemmaro.dev <at> gmail.com>
:
New bug report received and forwarded. Copy sent to
andrew <at> trop.in, csantosb <at> inventati.org, divya <at> subvertising.org, ian <at> retrospec.tv, cox.katherine.e+guix <at> gmail.com, liliana.prikler <at> gmail.com, guix-patches <at> gnu.org
.
(Fri, 07 Mar 2025 05:47:02 GMT)
Full text and
rfc822 format available.
Message #5 received at submit <at> debbugs.gnu.org (full text, mbox):
* gnu/packages/emacs-xyz.scm (emacs-inf-ruby): Update to 2.9.0.
[description] Include an example of Guix shell setup leveraging the newly
introduced customize variable.
Change-Id: Ic77efed97cda6a646a69594ad04f902921f63a63
---
gnu/packages/emacs-xyz.scm | 29 ++++++++++++++++++++++++++---
1 file changed, 26 insertions(+), 3 deletions(-)
diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index f5876a342c..593053c901 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -8069,7 +8069,7 @@ (define-public emacs-rg
(define-public emacs-inf-ruby
(package
(name "emacs-inf-ruby")
- (version "2.8.1")
+ (version "2.9.0")
(source
(origin
(method git-fetch)
@@ -8078,7 +8078,7 @@ (define-public emacs-inf-ruby
(commit version)))
(file-name (git-file-name name version))
(sha256
- (base32 "043ml560z69rlgw60w7m03r6cdwp8gfi1zs38qykg2yi98l6gg3x"))))
+ (base32 "1ah4hfy17x4ikrg3q555q7qfmz021wmfm5v11l1id3aqfqira599"))))
(build-system emacs-build-system)
(home-page "https://github.com/nonsequitur/inf-ruby")
(synopsis "Provides a REPL buffer connected to a Ruby subprocess in Emacs")
@@ -8086,7 +8086,30 @@ (define-public emacs-inf-ruby
"@code{inf-ruby} provides a Read Eval Print Loop (REPL) buffer, allowing
for easy interaction with a ruby subprocess. Features include support for
detecting specific uses of Ruby, e.g. when using rails, and using a
-appropriate console.")
+appropriate console.
+
+If you are possibly using Guix shell with @file{manifest.scm}, it
+might be useful to do the following steps:
+
+@enumerate
+@item Create a Guix shell wrapper. The wrapper script content is like:
+@example
+#!/bin/sh
+set -eu
+
+file=manifest.scm
+if [ -f $file ]
+then
+ guix shell --manifest=$file -- \"$@@\"
+else
+ \"$@@\"
+fi
+@end example
+
+@item Set @code{\"/path/to/the/script %s\"} to @code{inf-ruby-wrapper-command}
+customize variable.
+@end enumerate
+")
(license license:gpl3+)))
(define-public emacs-chruby-el
base-commit: 20f00058d7fff1e54ba7d3f4f56deed174135cbe
--
2.48.1
Information forwarded
to
guix-patches <at> gnu.org
:
bug#76799
; Package
guix-patches
.
(Fri, 07 Mar 2025 07:56:02 GMT)
Full text and
rfc822 format available.
Message #8 received at 76799 <at> debbugs.gnu.org (full text, mbox):
[Message part 1 (text/plain, inline)]
>ven. 07 mars 2025 at 14:45, gemmaro <gemmaro.dev <at> gmail.com> wrote:
> -appropriate console.")
> +appropriate console.
> +
> +If you are possibly using Guix shell with @file{manifest.scm}, it
> +might be useful to do the following steps:
> +
> +@enumerate
> +@item Create a Guix shell wrapper. The wrapper script content is like:
> +@example
> +#!/bin/sh
> +set -eu
> +
> +file=manifest.scm
> +if [ -f $file ]
> +then
> + guix shell --manifest=$file -- \"$@@\"
> +else
> + \"$@@\"
> +fi
> +@end example
> +
> +@item Set @code{\"/path/to/the/script %s\"} to @code{inf-ruby-wrapper-command}
> +customize variable.
> +@end enumerate
> +")
Please, consider 22.8.4 Synopses and Descriptions, "Descriptions should
take between five and ten lines."
[signature.asc (application/pgp-signature, inline)]
Information forwarded
to
gemmaro.dev <at> gmail.com, csantosb <at> inventati.org, andrew <at> trop.in, divya <at> subvertising.org, ian <at> retrospec.tv, cox.katherine.e+guix <at> gmail.com, liliana.prikler <at> gmail.com, guix-patches <at> gnu.org
:
bug#76799
; Package
guix-patches
.
(Fri, 07 Mar 2025 12:06:02 GMT)
Full text and
rfc822 format available.
Message #11 received at 76799 <at> debbugs.gnu.org (full text, mbox):
* gnu/packages/emacs-xyz.scm (emacs-inf-ruby): Update to 2.9.0.
[description] Include a mention of the newly introduced customization variable
for use with the Guix shell workflow.
Change-Id: Icdd9f9e70050e6df24db91acc51839f97cfe24d6
---
I've condensed the explanation to fit within ten lines.
gnu/packages/emacs-xyz.scm | 9 ++++++---
1 file changed, 6 insertions(+), 3 deletions(-)
diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index f5876a342c..c4f5d466e7 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -8069,7 +8069,7 @@ (define-public emacs-rg
(define-public emacs-inf-ruby
(package
(name "emacs-inf-ruby")
- (version "2.8.1")
+ (version "2.9.0")
(source
(origin
(method git-fetch)
@@ -8078,7 +8078,7 @@ (define-public emacs-inf-ruby
(commit version)))
(file-name (git-file-name name version))
(sha256
- (base32 "043ml560z69rlgw60w7m03r6cdwp8gfi1zs38qykg2yi98l6gg3x"))))
+ (base32 "1ah4hfy17x4ikrg3q555q7qfmz021wmfm5v11l1id3aqfqira599"))))
(build-system emacs-build-system)
(home-page "https://github.com/nonsequitur/inf-ruby")
(synopsis "Provides a REPL buffer connected to a Ruby subprocess in Emacs")
@@ -8086,7 +8086,10 @@ (define-public emacs-inf-ruby
"@code{inf-ruby} provides a Read Eval Print Loop (REPL) buffer, allowing
for easy interaction with a ruby subprocess. Features include support for
detecting specific uses of Ruby, e.g. when using rails, and using a
-appropriate console.")
+appropriate console.
+
+If you are using Guix shell with @file{manifest.scm}, the
+@code{inf-ruby-wrapper-command} customization variable could be helpful.")
(license license:gpl3+)))
(define-public emacs-chruby-el
base-commit: 20f00058d7fff1e54ba7d3f4f56deed174135cbe
--
2.48.1
Reply sent
to
Nicolas Goaziou <mail <at> nicolasgoaziou.fr>
:
You have taken responsibility.
(Fri, 07 Mar 2025 12:58:03 GMT)
Full text and
rfc822 format available.
Notification sent
to
gemmaro <gemmaro.dev <at> gmail.com>
:
bug acknowledged by developer.
(Fri, 07 Mar 2025 12:58:03 GMT)
Full text and
rfc822 format available.
Message #16 received at 76799-done <at> debbugs.gnu.org (full text, mbox):
Hello,
> * gnu/packages/emacs-xyz.scm (emacs-inf-ruby): Update to 2.9.0.
> [description] Include a mention of the newly introduced customization variable
> for use with the Guix shell workflow.
I had updated the package a few hours ago without noticing your patch. I
pushed your change to the description just now. Thanks!
Regards,
--
Nicolas Goaziou
This bug report was last modified 3 days ago.
Previous Next
GNU bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd,
1994-97 Ian Jackson.